Last Comment Bug 702964 - Support subregion lock on plugin surfaces
: Support subregion lock on plugin surfaces
Status: RESOLVED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: ARM Android
: P1 normal (vote)
: ---
Assigned To: James Willcox (:snorp) (jwillcox@mozilla.com)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-16 08:14 PST by James Willcox (:snorp) (jwillcox@mozilla.com)
Modified: 2012-01-09 14:59 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
11+


Attachments
Support subregion lock with native plugin surfaces (3.53 KB, patch)
2011-11-16 08:16 PST, James Willcox (:snorp) (jwillcox@mozilla.com)
blassey.bugs: review+
Details | Diff | Splinter Review

Description James Willcox (:snorp) (jwillcox@mozilla.com) 2011-11-16 08:14:17 PST
With bug 702883 we get a native way to write to SurfaceView, but it has the small problem that you can't lock only the dirty region. We should fix this, as it makes some flash apps slow that otherwise wouldn't be.
Comment 1 James Willcox (:snorp) (jwillcox@mozilla.com) 2011-11-16 08:16:15 PST
Created attachment 574902 [details] [diff] [review]
Support subregion lock with native plugin surfaces
Comment 2 James Willcox (:snorp) (jwillcox@mozilla.com) 2011-11-17 11:38:46 PST
http://hg.mozilla.org/projects/birch/rev/fc9431ac4617

Note You need to log in before you can comment on or make changes to this bug.